"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const str1 = 'p {color: red}';
const str2 = 'p {color: blue}';
const id = 'test-style';
const newId = _1.prefixId(id);
describe('测试addStyle', () => {
    it('可以正常添加style', () => {
        _1.addStyle(str1, id);
        expect(document.getElementById(newId).innerHTML).toBe(str1);
        _1.addStyle(str2, id);
        expect(document.getElementById(newId).innerHTML).toBe(str2);
        // 执行两次只会创建一个标签
        expect(document.head.childNodes.length).toBe(1);
    });
    it('prefixId 方法,当id为空，则返回undefined', () => {
        expect(_1.prefixId(undefined)).toBe(undefined);
    });
});
