"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * 查找数组中第一个符合要求的元素
 * 参考：https://github.com/vuejs/vuex/blob/dev/src/util.js#L9
 * @param {Array} array
 * @param {Function} fn
 */
exports.findValue = (array, fn) => {
    if (!Array.isArray(array)) {
        throw new Error('暂时仅支持数组查找');
    }
    return array.filter(fn)[0];
};
