"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatUnit = {
    DPI: 96,
    mm2px: (mm, num) => exports.formatUnit.toFixed((mm / 25.4) * exports.formatUnit.DPI, num),
    pt2px: (pt, num) => exports.formatUnit.toFixed((pt * exports.formatUnit.DPI) / 72, num),
    px2mm: (px, num) => exports.formatUnit.toFixed((px / exports.formatUnit.DPI) * 25.4, num),
    px2pt: (px, num) => exports.formatUnit.toFixed((px * 72) / exports.formatUnit.DPI, num),
    toFixed: (value, num) => num === undefined ? value : +value.toFixed(num),
};
