"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * 安全解析str到obj
 * @param {String} str 带解析字符串
 */
exports.safeParse = (str) => {
    if (typeof str !== 'string') {
        return str;
    }
    try {
        return JSON.parse(str);
    }
    catch (error) {
        return str;
    }
};
