"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * 交换数组中指定元素位置，返回新数组
 * @param {Array} arr 待交换数组
 * @param {Number} from 开始
 * @param {Number}} to 结束
 */
const lodash_1 = require("lodash");
exports.arraySwap = (arr, from, to) => {
    // TODO: from,to 参数校验
    if (!Array.isArray(arr)) {
        throw new Error('arraySwap 仅支持数组交换');
    }
    const data = lodash_1.cloneDeep(arr);
    const tmp = data[from];
    data[from] = data[to];
    data[to] = tmp;
    return data;
};
