"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
describe('测试FormatUnit', () => {
    it('单位换算', () => {
        // px2mm
        expect(_1.formatUnit.px2mm(9.6) - 2.54).toBeLessThan(0.0000001);
        expect(_1.formatUnit.px2mm(9.6, 0)).toBe(3);
        expect(_1.formatUnit.px2mm(9.6, 1)).toBe(2.5);
        expect(_1.formatUnit.px2mm(9.6, 2)).toBe(2.54);
        // mm2px
        expect(_1.formatUnit.mm2px(0.254, 2)).toBe(0.96);
        // px2pt
        expect(_1.formatUnit.px2pt(9.6, 2)).toBe(7.20);
        // pt2px
        expect(_1.formatUnit.pt2px(7.2, 1)).toBe(9.6);
    });
});
