import { formatUnit } from '.';
describe('测试FormatUnit', () => {
    it('单位换算', () => {
        // px2mm
        expect(formatUnit.px2mm(9.6) - 2.54).toBeLessThan(0.0000001);
        expect(formatUnit.px2mm(9.6, 0)).toBe(3);
        expect(formatUnit.px2mm(9.6, 1)).toBe(2.5);
        expect(formatUnit.px2mm(9.6, 2)).toBe(2.54);
        // mm2px
        expect(formatUnit.mm2px(0.254, 2)).toBe(0.96);
        // px2pt
        expect(formatUnit.px2pt(9.6, 2)).toBe(7.20);
        // pt2px
        expect(formatUnit.pt2px(7.2, 1)).toBe(9.6);
    });
});
