export const formatUnit = {
    DPI: 96,
    mm2px: (mm, num) => formatUnit.toFixed((mm / 25.4) * formatUnit.DPI, num),
    pt2px: (pt, num) => formatUnit.toFixed((pt * formatUnit.DPI) / 72, num),
    px2mm: (px, num) => formatUnit.toFixed((px / formatUnit.DPI) * 25.4, num),
    px2pt: (px, num) => formatUnit.toFixed((px * 72) / formatUnit.DPI, num),
    toFixed: (value, num) => num === undefined ? value : +value.toFixed(num),
};
