/**
 * 安全解析str到obj
 * @param {String} str 带解析字符串
 */
export const safeParse = (str) => {
    if (typeof str !== 'string') {
        return str;
    }
    try {
        return JSON.parse(str);
    }
    catch (error) {
        return str;
    }
};
